## org.apache.batik.anim.timing
Class AccesskeyTimingSpecifier

    java.lang.Object
      org.apache.batik.anim.timing.TimingSpecifier
          org.apache.batik.anim.timing.OffsetTimingSpecifier
              org.apache.batik.anim.timing.EventLikeTimingSpecifier
                  org.apache.batik.anim.timing.AccesskeyTimingSpecifier

All Implemented Interfaces:
  EventListener

    public class AccesskeyTimingSpecifier

extends EventLikeTimingSpecifier
implements EventListener

A class to handle SMIL access key timing specifiers.

Field Summary
`protected char` `accesskey` The accesskey.
`protected boolean` `isSVG12AccessKey` Whether this access key specifier uses SVG 1.2 syntax.
`protected java.lang.String` `keyName` The DOM 3 key name for SVG 1.2 access key specifiers.

Fields inherited from class org.apache.batik.anim.timing.OffsetTimingSpecifier
`offset`

Fields inherited from class org.apache.batik.anim.timing.TimingSpecifier
`isBegin, owner`

Constructor Summary
`AccesskeyTimingSpecifier(TimedElement owner, boolean isBegin, float offset, char accesskey)` Creates a new AccesskeyTimingSpecifier object using SVG 1.1 or SMIL syntax.
`AccesskeyTimingSpecifier(TimedElement owner, boolean isBegin, float offset, java.lang.String keyName)` Creates a new AccesskeyTimingSpecifier object using SVG 1.2 syntax.

Method Summary
`void` `deinitialize()` Deinitializes this timing specifier by removing any event listeners.
`void` `handleEvent(Event e)` Handles key events fired by the eventbase element.
`void` `initialize()` Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.
`void` `resolve(Event e)` Invoked to resolve an event-like timing specifier into an instance time.
`java.lang.String` `toString()` Returns a string representation of this timing specifier.

Methods inherited from class org.apache.batik.anim.timing.EventLikeTimingSpecifier
`isEventCondition`

Methods inherited from class org.apache.batik.anim.timing.TimingSpecifier
`getOwner, isBegin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### accesskey

    protected char accesskey

  The accesskey.

### isSVG12AccessKey

    protected boolean isSVG12AccessKey

  Whether this access key specifier uses SVG 1.2 syntax.

### keyName

    protected java.lang.String keyName

  The DOM 3 key name for SVG 1.2 access key specifiers.

Constructor Detail

### AccesskeyTimingSpecifier

    public AccesskeyTimingSpecifier(TimedElement owner,
                                    boolean isBegin,
                                    float offset,
                                    char accesskey)

  Creates a new AccesskeyTimingSpecifier object using SVG 1.1 or SMIL syntax.

### AccesskeyTimingSpecifier

    public AccesskeyTimingSpecifier(TimedElement owner,
                                    boolean isBegin,
                                    float offset,
                                    java.lang.String keyName)

  Creates a new AccesskeyTimingSpecifier object using SVG 1.2 syntax.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this timing specifier.

  Overrides:
    `toString` in class `OffsetTimingSpecifier`

### initialize

    public void initialize()

  Initializes this timing specifier by adding the initial instance time to the owner's instance time list or setting up any event listeners.

  Overrides:
    `initialize` in class `OffsetTimingSpecifier`

### deinitialize

    public void deinitialize()

  Deinitializes this timing specifier by removing any event listeners.

  Overrides:
    `deinitialize` in class `TimingSpecifier`

### handleEvent

    public void handleEvent(Event e)

  Handles key events fired by the eventbase element.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `e` - The `Event` contains contextual information about the event.

### resolve

    public void resolve(Event e)

  Invoked to resolve an event-like timing specifier into an instance time.

  Specified by:
    `resolve` in class `EventLikeTimingSpecifier`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.